## gdb 8.2

=== debian/changelog ===
gdb (8.2-0ubuntu1) cosmic; urgency=medium

  * gdb 8.2 release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2018 12:41:04 +0200

gdb (8.1.90.20180904-0ubuntu1) cosmic; urgency=medium

  * Snapshot, taken from the gdb-8.1-branch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Sep 2018 16:41:10 +0200

gdb (8.1-0ubuntu8) cosmic; urgency=medium

  * Enable Intel PT recording format on x86 architectures. Closes: #872800.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Jul 2018 22:15:11 +0200

gdb (8.1-0ubuntu6) cosmic; urgency=medium

  * gdb: Provide gdb-minimal.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 May 2018 18:21:38 -0400

gdb (8.1-0ubuntu5) cosmic; urgency=medium

  * debian/control: Update libncurses build-deps to the new scheme.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 04 May 2018 09:58:50 -0600

gdb (8.1-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:19:42 +0000
