=== debian/control ===
Source: gdb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.2.1
Build-Depends:
# Packaging deps
               cdbs (>= 0.4.90),
               debhelper (>= 9),
               lsb-release,
               bzip2,
# Other tool deps
               autoconf,
               libtool,
               gettext,
               bison,
               dejagnu,
               flex | flex-old,
               procps,
               g++-multilib [i386 powerpc s390 sparc],
               gobjc,
               gccgo,
               mig [hurd-any],
# TeX[info] deps
               texinfo (>= 4.7-2.2),
               texlive-base,
# Libdev deps
               libexpat1-dev,
               libncursesw5-dev, lib64ncurses5-dev [i386 powerpc s390 sparc],
               libreadline-dev, lib64readline-dev [i386 powerpc s390 sparc],
               zlib1g-dev,
               liblzma-dev,
               libbabeltrace-dev,
               libbabeltrace-ctf-dev,
               libipt-dev (>= 2.0) [amd64 i386 x32],
               python3-dev,
               libkvm-dev [kfreebsd-any],
               libunwind7-dev [ia64],
               libmpfr-dev,
# gdb-doc
               texlive-latex-base, texlive-fonts-recommended, cm-super,
Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb.git
Homepage: http://www.gnu.org/s/gdb/

Package: gdb
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: libc-dbg,
	    libcc1-0,
            gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
Suggests: gdb-doc
Conflicts: gdb
Replaces: gdb, gdb-doc (<< 7.8-1~)
Provides: gdb-minimal (= ${binary:Version})
Description: GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.

Package: gdb-multiarch
Architecture: any
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Debugger (with support for multiple architectures)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB which supports multiple
 target architectures.

Package: gdbserver
Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gdb (<< 7.0.1-1)
Description: GNU Debugger (remote server)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains gdbserver.  Install this to debug remotely
 from another system where GDB is installed.

Package: gdb-source
Architecture: all
Depends: ${misc:Depends}
Description: GNU Debugger (source)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the sources and patches which are needed
 to build GDB.

Package: gdb-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, gdb (= ${binary:Version})
Description: GNU Debugger (debug package)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the detached debugging symbols for the GNU
 GDB.

Package: gdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
Description: The GNU Debugger Documentation
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains the GDB manual.
