## gdb 8.2.1.1

=== debian/changelog ===
gdb (8.2.1.1-1+security) unstable; urgency=medium

  * update

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 04 Apr 2021 16:21:52 +0800

gdb (8.2.1-2) unstable; urgency=medium

  * debian/patches: binutils PR/23919 (Closes: #922745)
  * debian/patches: fix gdb PR/23712 (Closes: #922030)
  * debian/rules: include riscv* in multiarch targets (Closes: #922796)
  * Bump standards version
  * fix kfreebsd-any build (Closes: #917806)

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 22 Feb 2019 09:46:36 +0100
