## gdb 8.2.91.20190405

=== debian/changelog ===
gdb (8.2.91.20190405-0ubuntu3) disco; urgency=medium

  * Try to kill testsuite processes, after running the tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Apr 2019 17:50:34 +0200

gdb (8.2.91.20190405-0ubuntu1) disco; urgency=medium

  * New upstream snapshot, taken from the gdb-8.3 branch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Apr 2019 02:38:42 +0200

gdb (8.2.90.20190311-0ubuntu1) disco; urgency=medium

  * New upstream snapshot, taken from the gdb-8.3 branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2019 17:09:56 +0100

gdb (8.2.90-0ubuntu1) disco; urgency=medium

  * New upstream snapshot, taken from the gdb-8.3 branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2019 22:45:10 +0100

gdb (8.2.50.20190214-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
  * Don't run the multi-term-settings test, doesn't terminate.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Feb 2019 10:13:57 +0100

gdb (8.2.1-0ubuntu1) disco; urgency=medium

  * gdb 8.2.1 release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:41:45 +0100

gdb (8.2-0ubuntu1~16.04.1) xenial; urgency=medium

  * PPA upload.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Sep 2018 21:43:52 +0200
