=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 DEB_BUILDDIR := $(ALL_BUILDDIR)/objdir
 DEB_DH_INSTALL_SOURCEDIR := $(shell pwd)/debian/tmp
-DEB_DH_STRIP_ARGS_gdb = --dbgsym-migration='gdb-dbg (<< 7.12-1~)'
+DEB_DH_STRIP_ARGS_GDB := --dbg-package=gdb-dbg
 
 # Override CDBS's default CFLAGS, which also includes -Wall; gdb
 # does not handle -Wunused well with -Werror, but defaults to
@@ -20,7 +20,6 @@
 # The top-level configure script fails to pass these down properly ...
 export CPPFLAGS
 export LDFLAGS
-CPPFLAGS += -fPIC
 
 # Always install into debian/tmp, even if we are only building one package.
 DEB_DESTDIR := $(shell pwd)/debian/tmp
@@ -37,6 +36,10 @@
 DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
 DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
+ifeq (,$(DEB_TARGET_ARCH))
+  DEB_TARGET_ARCH := $(DEB_HOST_ARCH)
+  DEB_TARGET_GNU_TYPE := $(DEB_HOST_GNU_TYPE)
+endif
 
 # Cross configuration support.  Check for an environment variable
 # $GDB_TARGET, or a file debian/target.
@@ -88,14 +91,12 @@
   arch_config_args := --with-libunwind-ia64
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x))
-  arch_config_args += --with-babeltrace
-endif
+arch_config_args += --with-babeltrace
 
 # Enable Intel Processor Trace (PT) on Linux x86 platform
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
-  arch_config_args += --with-intel-pt
-endif
+#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
+#  arch_config_args += --with-intel-pt
+#endif
 
 ifdef GDB_TARGET
   run_tests := no
@@ -119,6 +120,7 @@
 	--disable-readline --with-system-readline --with-expat \
 	--with-system-zlib --without-lzma \
 	--without-guile --without-babeltrace \
+	--disable-werror \
 	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)
 
 # Debian does not include 64-bit Python packages, so --with-python
@@ -135,7 +137,6 @@
 	arm-linux-gnu \
 	arm-linux-gnueabi \
 	arm-linux-gnueabihf \
-	arm-none-eabi \
 	hppa-linux-gnu \
 	i686-linux-gnu \
 	ia64-linux-gnu \
@@ -149,14 +150,13 @@
 	powerpc-linux-gnuspe \
 	powerpc64le-linux-gnu \
 	powerpc64-linux-gnu \
-	ppc64-linux-gnu \
 	s390-linux-gnu \
 	s390x-linux-gnu \
 	sh-linux-gnu \
 	sparc-linux-gnu \
 	sparc64-linux-gnu \
 	x86_64-linux-gnu \
-	m32r-linux-gnu 
+	m32r-linux-gnu
 
 # broken, see https://launchpad.net/bugs/1233185
 #MULTIARCH_TARGETS := all
@@ -188,6 +188,9 @@
 	$(MAKE) -C $(DEB_BUILDDIR) info
 	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps
 
+build/gdb-doc:: check-stamp
+	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc pdf html
+
 build/gdb-multiarch:: build-multiarch-stamp
 build-multiarch-stamp:
 	mkdir -p $(BUILDDIRMULTIARCH)
@@ -208,12 +211,15 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(DEB_BUILDDIR)/gdb check \
 	  || echo "**Tests failed, of course.**"
+	-ps ux
+	-kill $$(ps x|grep -v awk | awk '/interrupt-daemon/ {print $$1}')
+	sleep 5
+	-kill -9 $$(ps x|grep -v awk | awk '/interrupt-daemon/ {print $$1}')
 endif
 	touch $@
 
 clean::
 	rm -f check-stamp build-multiarch-stamp
-	rm -f debian/files
 	rm -rf $(ALL_BUILDDIR)
 
 	if test -f gdb/version.in.backup; then \
@@ -229,13 +235,13 @@
 	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
 
 binary-post-install/gdb$(TS) ::
-	if [ -x debian/tmp/usr/bin/run ]; then \
-		mv debian/tmp/usr/bin/run \
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
+	if [ -x debian/tmp/usr/bin/run ]; then				\
+		mv debian/tmp/usr/bin/run					\
+		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run;		\
 	fi
-	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
-		mv debian/tmp/usr/share/man/man1/run.1 \
-		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1; \
+	if [ -x debian/tmp/usr/share/man/man1/run.1 ]; then				\
+		mv debian/tmp/usr/share/man/man1/run.1			\
+		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1;	\
 	fi
 ifeq ($(run_tests),yes)
 	install -d debian/gdb$(TS)/usr/share/doc/gdb
@@ -246,8 +252,3 @@
 ifneq ($(DEB_CROSS),yes)
 	# Only ship a global gdbinit for the native GDB.
 	install -d debian/gdb$(TS)/etc/gdb
-	install -m 644 debian/gdbinit debian/gdb$(TS)/etc/gdb/
-	# Likewise gdb-add-index
-	install -m 755 gdb/contrib/gdb-add-index.sh debian/gdb$(TS)/usr/bin/gdb-add-index
-endif
-
