=== debian/rules ===
--- 
+++ 
@@ -150,6 +150,8 @@
 	powerpc-linux-gnuspe \
 	powerpc64le-linux-gnu \
 	powerpc64-linux-gnu \
+	riscv32-linux-gnu \
+	riscv64-linux-gnu \
 	s390-linux-gnu \
 	s390x-linux-gnu \
 	sh-linux-gnu \
@@ -251,4 +253,3 @@
 
 ifneq ($(DEB_CROSS),yes)
 	# Only ship a global gdbinit for the native GDB.
-	install -d debian/gdb$(TS)/etc/gdb
