## gdb 8.3.1

=== debian/changelog ===
gdb (8.3.1-1) unstable; urgency=medium

  * New upstream version 8.3.1 (Closes: #865607)
  * debian/control: drop flex-old build depend. (Closes: #932514)
  * debian/salsa-ci.yml: add support for continous integration
  * debian/control: bump standards version, no changes

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 11 Oct 2019 13:26:07 +0200

gdb (8.3-1) unstable; urgency=medium

  * New upstream version 8.3.

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 22 Jul 2019 04:36:24 +0200

gdb (8.2.50.20190222-1) experimental; urgency=medium

  * New upstream version 8.2.50.20190222
  * debian/patches: rebase patchset

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 22 Feb 2019 11:38:18 +0100
