=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Riku Voipio <riku.voipio@linaro.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Rules-Requires-Root: binary-targets
 Build-Depends:
 # Packaging deps
@@ -17,7 +17,7 @@
                gettext,
                bison,
                dejagnu,
-               flex | flex-old,
+               flex,
                procps,
 # Do we really care that much about running the Java tests?
 #               gcj-jdk | gcj,
